import 'package:flutter/material.dart';
import 'package:firebase_auth/firebase_auth.dart';
import 'pages/home_dashboard_page.dart';
import 'login_page.dart';

class AuthCheck extends StatelessWidget {

  const AuthCheck({super.key});

  @override
  Widget build(BuildContext context) {

    User? user = FirebaseAuth.instance.currentUser;

    if(user != null){
      return const HomeDashboardPage();
    }else{
      return const LoginPage();
    }

  }

}